Subject: Re: bug#51310: 29.0.50; Tramp: C-u s to change -al to -l not working

From: Michael Albinus <[email-masked]>
Date: Thu, 17 Feb 2022 17:48:02 +0100

Michael Albinus <[email-masked]> writes:

Hi Jean,

>>> > I've tested with a recent built of the master branch, and it works as
>>> > expected. Have you taken the recent Tramp? Try with "emacs -Q".
>>
>> I have tried now, and it does not work.
>>
>> Example of my Tramp bookmarks are:
>>
>>     LineageOS Images on SD card                              /scp:motorolausb:/storage/39E0-14F8/Android/data/org.lineageos.snap/files/
>>     LineageOS USB                              /scp:motorolausb:/storage/emulated/0/
>>
>> And I connect to ssh server, so when I do: C-u s and try changing to
>> -l only, I cannot see it working.
>
> I've tested it again, it works in my environment. Could you please try
> the following:
>
> - Start from a shell
>
>   # emacs -Q --eval '(setq tramp-verbose 6)' /scp:motorolausb:
>
> - You'll see a dired listing in Emacs. Type now 'C-u 0 s', and change
>   the ls switches from '-al' to '-l'.
>
> - In the dired listing, all files starting with a dot '.' should
>   disappear.
>
> - If this doesn't work, please send the buffer *debug tramp/scp motorolausb*

Ping. Please provide the needed information. Otherwise, we must close
this bug, again.

Best regards, Michael.